OpenTTD Source: Data Fields

OpenTTD Source 14.0-RC3

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - r -

- r : Blitter_32bppSimple::Pixel , SpriteLoader::CommonPixel
- rail : CompanyInfrastructure
- rail_crossing_penalty : YAPFSettings
- rail_curve45_penalty : YAPFSettings
- rail_curve90_penalty : YAPFSettings
- rail_depot_reverse_penalty : YAPFSettings
- rail_doubleslip_penalty : YAPFSettings
- rail_ew : RailTypeInfo
- rail_firstred_exit_penalty : YAPFSettings
- rail_firstred_penalty : YAPFSettings
- rail_firstred_twoway_eol : YAPFSettings
- rail_lastred_exit_penalty : YAPFSettings
- rail_lastred_penalty : YAPFSettings
- rail_longer_platform_penalty : YAPFSettings
- rail_longer_platform_per_tile_penalty : YAPFSettings
- rail_look_ahead_max_signals : YAPFSettings
- rail_look_ahead_signal_p0 : YAPFSettings
- rail_look_ahead_signal_p1 : YAPFSettings
- rail_look_ahead_signal_p2 : YAPFSettings
- rail_ns : RailTypeInfo
- rail_nwse : RailTypeInfo
- rail_pbs_cross_penalty : YAPFSettings
- rail_pbs_signal_back_penalty : YAPFSettings
- rail_pbs_station_penalty : YAPFSettings
- rail_shorter_platform_penalty : YAPFSettings
- rail_shorter_platform_per_tile_penalty : YAPFSettings
- rail_slope_penalty : YAPFSettings
- rail_speed : TileDesc
- rail_station_penalty : YAPFSettings
- rail_swne : RailTypeInfo
- rail_type : ScriptStorage
- rail_use_yapf : YAPFSettings
- RailToolbarGlobalHotkeys() : BuildRailToolbarWindow
- railtype : BuildRailToolbarWindow , BuildVehicleWindow , RailVehicleInfo , TileDesc
- railtype_list : GRFFile
- railtype_scope : RailTypeResolverObject
- RailTypeResolverObject() : RailTypeResolverObject
- railtypes : CompanyInfrastructureWindow
- RailTypeScopeResolver() : RailTypeScopeResolver
- RaiseButtons() : Window
- RaiseWidget() : Window
- RaiseWidgetsWhenLowered() : Window
- RaiseWidgetWhenLowered() : Window
- random : Industry
- random_bits : BaseStation , IndustriesScopeResolver , Vehicle
- random_colour : HouseSpec , Industry
- random_sounds : IndustrySpec
- RandomAccessFile() : RandomAccessFile
- ranges : UniscribeParagraphLayout
- rank_width : ScriptLeagueWindow
- rate : CurrencySpec , Industry::ProducedCargo
- rate_drawing : FramerateWindow
- rate_gameloop : FramerateWindow
- rating : GoodsEntry , LeagueTableElement
- rating_lines : StationViewWindow
- ratings : Town
- raw_industry_construction : ConstructionSettings
- raw_strings : GameStrings
- rcon_password : NetworkSettings
- Read() : EndianBufferReader , FileReader , IntSettingDesc , LoadFilter , LZMALoadFilter , LZOLoadFilter , NoCompLoadFilter , PacketReader
- read : ReadBuffer
- Read() : StringSettingDesc , ZlibLoadFilter
- read_bytes : PacketReader
- read_pos : EndianBufferReader
- read_size : NICallback , NIProperty
- ReadBlock() : RandomAccessFile
- ReadBuffer() : ByteBuffer , ReadBuffer
- ReadByte() : ByteBuffer , RandomAccessFile
- ReadDataBlock() : ByteBuffer
- ReadDLSArticulation() : DLSFile
- ReadDLSInstrument() : DLSFile
- ReadDLSInstrumentList() : DLSFile
- ReadDLSRegion() : DLSFile
- ReadDLSRegionList() : DLSFile
- ReadDLSWave() : DLSFile
- ReadDLSWaveList() : DLSFile
- ReadDword() : RandomAccessFile
- reader : ReadBuffer , SaveLoadParams
- ReadIntroGameViewportCommands() : SelectGameWindow
- ReadLine() : FileStringReader , StringListReader , StringReader
- readonly : TownScopeResolver
- ReadSMFHeader() : MidiFile
- ReadStr() : EndianBufferReader
- ReadTuple() : EndianBufferReader
- ReadVariableLength() : ByteBuffer , MpsMachine
- ReadWord() : RandomAccessFile
- real_path : HeaderFileWriter
- realtime : MidiFile::DataBlock
- Reason : NetworkSurveyHandler
- Reassign() : VehicleCargoList
- Rebuild() : Kdtree< T, TxyFunc, CoordT, DistT > , RoadStop::Entry
- rebuild_interval : IndustryDirectoryWindow , SignListWindow , TownDirectoryWindow
- RebuildCache() : LinkGraphOverlay
- RebuildColourIndexIfNecessary() : SmallMapWindow
- RebuildDone() : GUIList< T, P, F >
- RebuildList() : NetworkClientListWindow
- RebuildListCompany() : NetworkClientListWindow
- RebuildVisibleSettings() : GSConfigWindow , ScriptSettingsWindow
- recalc_interval : LinkGraphSettings
- recalc_time : LinkGraphSettings
- RecalcDestinations() : StationViewWindow
- RecalculateTimetableDuration() : OrderList
- Receive() : ClientNetworkGameSocketHandler , NetworkHTTPRequest , QueryNetworkGameSocketHandler , TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- Receive_ADMIN_CHAT() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_EXTERNAL_CHAT() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_GAMESCRIPT() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_JOIN() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_PING() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_POLL() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_QUIT() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_RCON() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_UPDATE_FREQUENCY() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_CLIENT_ACK() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_CHAT() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_COMMAND() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_COMPANY_PASSWORD() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_CONNECT() : NetworkCoordinatorSocketHandler
- Receive_CLIENT_CONNECTED() : NetworkCoordinatorSocketHandler
- Receive_CLIENT_CONTENT() : NetworkContentSocketHandler
- Receive_CLIENT_ERROR() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_FIND_SERVER() : NetworkUDPSocketHandler , ServerNetworkUDPSocketHandler
- Receive_CLIENT_GAME_INFO() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_GAME_PASSWORD() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_GETMAP() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_INFO_EXTID() : NetworkContentSocketHandler
- Receive_CLIENT_INFO_EXTID_MD5() : NetworkContentSocketHandler
- Receive_CLIENT_INFO_ID() : NetworkContentSocketHandler
- Receive_CLIENT_INFO_LIST() : NetworkContentSocketHandler
- Receive_CLIENT_JOIN() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_LISTING() : NetworkCoordinatorSocketHandler
- Receive_CLIENT_MAP_OK() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_MOVE() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_NEWGRFS_CHECKED() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_QUIT() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_RCON() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_SET_NAME() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_SET_PASSWORD() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_GC_CONNECT_FAILED() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_CONNECTING() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_DIRECT_CONNECT() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_ERROR() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_LISTING() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_NEWGRF_LOOKUP() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_REGISTER_ACK() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_STUN_CONNECT() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_STUN_REQUEST() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_TURN_CONNECT() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- receive_limit : ServerNetworkGameSocketHandler
- Receive_SERCLI_CONNECT() : NetworkTurnSocketHandler
- Receive_SERCLI_CONNECT_FAILED() : NetworkCoordinatorSocketHandler
- Receive_SERCLI_STUN() : NetworkStunSocketHandler
- Receive_SERCLI_STUN_RESULT() : NetworkCoordinatorSocketHandler
- Receive_SERVER_BANNED() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler , QueryNetworkGameSocketHandler
- Receive_SERVER_CHAT() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_CHECK_NEWGRFS() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_CLIENT_ERROR() : NetworkAdminSocketHandler
- Receive_SERVER_CLIENT_INFO() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_CLIENT_JOIN() : NetworkAdminSocketHandler
- Receive_SERVER_CLIENT_QUIT() : NetworkAdminSocketHandler
- Receive_SERVER_CLIENT_UPDATE() : NetworkAdminSocketHandler
- Receive_SERVER_CMD_LOGGING() : NetworkAdminSocketHandler
- Receive_SERVER_CMD_NAMES() : NetworkAdminSocketHandler
- Receive_SERVER_COMMAND() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_COMPANY_ECONOMY() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_INFO() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_NEW() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_REMOVE() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_STATS() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_UPDATE() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_CONFIG_UPDATE() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_CONSOLE() : NetworkAdminSocketHandler
- Receive_SERVER_CONTENT() : ClientNetworkContentSocketHandler , NetworkContentSocketHandler
- Receive_SERVER_DATE() : NetworkAdminSocketHandler
- Receive_SERVER_ERROR() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler , QueryNetworkGameSocketHandler
- Receive_SERVER_ERROR_QUIT() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_EXTERNAL_CHAT() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_FRAME() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_FULL() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler , QueryNetworkGameSocketHandler
- Receive_SERVER_GAME_INFO() : NetworkGameSocketHandler , QueryNetworkGameSocketHandler
- Receive_SERVER_INFO() : ClientNetworkContentSocketHandler , NetworkContentSocketHandler
- Receive_SERVER_JOIN() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_MAP_BEGIN() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_MAP_DATA() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_MAP_DONE() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_MAP_SIZE() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_MOVE() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_NEED_COMPANY_PASSWORD() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_NEED_GAME_PASSWORD() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_NEWGAME() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_PONG() : NetworkAdminSocketHandler
- Receive_SERVER_PROTOCOL() : NetworkAdminSocketHandler
- Receive_SERVER_QUIT() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_RCON() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_RCON_END() : NetworkAdminSocketHandler
- Receive_SERVER_REGISTER() : NetworkCoordinatorSocketHandler
- Receive_SERVER_RESPONSE() : ClientNetworkUDPSocketHandler , NetworkUDPSocketHandler
- Receive_SERVER_SHUTDOWN() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_SYNC() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_UPDATE() : NetworkCoordinatorSocketHandler
- Receive_SERVER_WAIT() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_WELCOME() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_TURN_CONNECTED() : ClientNetworkTurnSocketHandler , NetworkTurnSocketHandler
- Receive_TURN_ERROR() : ClientNetworkTurnSocketHandler , NetworkTurnSocketHandler
- ReceiveCommand() : NetworkGameSocketHandler
- received : Town
- receivedTypes : NetworkContentDownloadStatusWindow
- ReceiveInvalidPacket() : NetworkAdminSocketHandler , NetworkContentSocketHandler , NetworkCoordinatorSocketHandler , NetworkGameSocketHandler , NetworkStunSocketHandler , NetworkTurnSocketHandler , NetworkUDPSocketHandler
- ReceivePacket() : NetworkTCPSocketHandler , ServerNetworkGameSocketHandler
- ReceivePackets() : NetworkAdminSocketHandler , NetworkContentSocketHandler , NetworkCoordinatorSocketHandler , NetworkGameSocketHandler , NetworkTurnSocketHandler , NetworkUDPSocketHandler
- RecomputeCatchment() : Station
- RecomputeCatchmentForAll() : Station
- RecomputeProductionMultipliers() : Industry
- rect : BaseStation
- RecursiveResolve() : NewGRFProfiler
- Recv_bool() : Packet
- Recv_buffer() : Packet
- Recv_string() : Packet
- Recv_uint16() : Packet
- Recv_uint32() : Packet
- Recv_uint64() : Packet
- Recv_uint8() : Packet
- redraw_interval : CompanyWindow , TimetableWindow , TownAuthorityWindow
- redraw_timer : ScriptDebugWindow
- redsq : TileHighlightData
- Reduce() : CargoPacket
- ReduceFlow() : Path
- ReduceLineCache() : Layouter
- ref1 : NewsItem
- ref2 : NewsItem
- RefCnt() : FixedSizeArray< T, C >
- reference_count : FixedSizeArray< T, C >::ArrayHeader
- referenced_id : StoryPageElement
- refit_cap : Vehicle
- refit_capacities : LinkRefresher
- refit_cargo : Order
- refit_list : RefitWindow
- refit_mask : PrepareRefitAction
- refittability : GRFTempEngineData
- Refittability : GRFTempEngineData
- Reflow() : FallbackParagraphLayout
- ReflowContent() : TextfileWindow
- refresh_interval : MainToolbarWindow , MainWindow , NetworkGameWindow , ScenarioEditorToolbarWindow , SmallMapWindow
- refresh_rate : GUISettings
- refresh_sys_sprites : VideoDriver_Cocoa
- refresh_timeout : MainWindow
- RefreshFlags : LinkRefresher
- refreshing : NetworkGameList
- RefreshLinkGraph() : MainWindow
- RefreshLinks() : LinkRefresher
- RefreshScrollbar() : RefitWindow
- RefreshSelectedPage() : StoryBookWindow
- RefreshStats() : LinkRefresher
- reftype1 : NewsItem
- reftype2 : NewsItem
- Register() : ClientNetworkCoordinatorSocketHandler
- RegisterAPI() : AIInfo , AIInstance , AILibrary , AIScannerInfo , AIScannerLibrary , GameInfo , GameInstance , GameLibrary , GameScannerInfo , GameScannerLibrary , ScriptInstance , ScriptScanner
- RegisterScript() : ScriptScanner
- RegisterTimer() : TimerManager< TTimerType >
- ReInit() : Window
- relative_scope : VehicleResolverObject
- relay_connection_string : NetworkAskRelayWindow
- Release() : CCountedPtr< Tcls_ >
- ReleaseAnimBuffer() : OpenGLBackend
- ReleaseFlows() : FlowStatMap
- ReleaseID() : FreeUnitIDGenerator
- ReleaseObject() : Squirrel
- ReleaseShare() : FlowStat
- ReleaseSQObject() : ScriptInstance
- ReleaseVideoBuffer() : OpenGLBackend
- ReleaseVideoPointer() : VideoDriver_Cocoa , VideoDriver_CocoaOpenGL , VideoDriver_SDL_Base , VideoDriver_SDL_Default , VideoDriver_SDL_OpenGL , VideoDriver_Win32Base
- reliability : Engine , Vehicle
- reliability_final : Engine
- reliability_max : Engine
- reliability_spd_dec : Engine , Vehicle
- reliability_start : Engine
- reload_cfg : NetworkSettings
- remaining : LinkRefresher::RefitDesc , RefitDesc , Subsidy
- RemainingBytesToTransfer() : Packet
- RemainingCount() : VehicleCargoList
- remap : Blitter::BlitterParams
- remap_program : OpenGLBackend
- remap_rgb_loc : OpenGLBackend
- remap_screen_loc : OpenGLBackend
- remap_sprite_loc : OpenGLBackend
- remap_zoom_loc : OpenGLBackend
- RemapTile() : SmallMapWindow
- REMINDER_START : StatusBarWindow
- removal_cost : HouseSpec
- removal_cost_multiplier : IndustrySpec
- Remove() : CargoDataEntry , CBinaryHeapT< T > , Kdtree< T, TxyFunc, CoordT, DistT > , SmallSet< Tdir, items >
- remove_rating_decrease : HouseSpec
- remove_time : ChatMessage
- RemoveCallback() : ClientNetworkContentSocketHandler
- RemoveEdge() : LinkGraph::BaseNode
- RemoveElementsFromBack() : StringBuilder
- RemoveFirstTupleElement() : CommandHelper< Tcmd, Tret(*)(DoCommandFlag, Targs...), true >
- RemoveFlow() : LinkGraphJob::EdgeAnnotation
- RemoveFromAllNearbyLists() : Station
- RemoveFromCache() : CargoList< Tinst, Tcont > , VehicleCargoList
- RemoveFromMeta() : VehicleCargoList
- RemoveFromShared() : Vehicle
- RemoveGroup() : IniLoadFile
- RemoveIndustryToDeliver() : Station
- RemoveItem() : IniGroup
- RemoveNode() : LinkGraph
- RemoveOrder() : OrderBackup
- RemoveRecursive() : Kdtree< T, TxyFunc, CoordT, DistT >
- RemoveVehicle() : OrderList
- rename_engine : BuildVehicleWindow
- renderdata : StationSpec
- RenderOglSprite() : OpenGLBackend
- renew_keep_length : CompanySettings
- Reopen() : NetworkSocketHandler
- replace_engines : ReplaceVehicleWindow
- replace_text : RailTypeInfo , RoadTypeInfo
- replace_when_old : EngineRenew
- ReplaceChainItem() : ReplaceChainItem
- ReplaceClick_StartReplace() : ReplaceVehicleWindow
- ReportFileError() : IniFile , IniLoadFile , SettingsIniFile
- req_size : TrueTypeFontCache
- request : NetworkHTTPRequest
- RequestContentList() : ClientNetworkContentSocketHandler
- requested : ClientNetworkContentSocketHandler
- require() : SquirrelStd
- Reroute() : StationCargoList , VehicleCargoList
- res : FindTrainOnTrackInfo
- res_okay : NPFFoundTargetData
- rescale_interval : BuyCompanyWindow , CompanyFinancesWindow
- Rescan() : AI
- RescanDir() : ScriptScanner
- reseed : ResolverObject
- ReservationCost() : CYapfCostRailT< Types >
- Reserve() : StationCargoList
- reserve_path : NPFFindStationOrTileData
- reserve_paths : PathfinderSettings
- reserved_count : StationCargoList
- ReservedCount() : StationCargoList , VehicleCargoList
- ReserveRailStationPlatform() : CYapfReserveTrack< Types >
- ReserveSingleTrack() : CYapfReserveTrack< Types >
- ReserveTrackUnderConsist() : Train
- Reset() : BitmapTileArea , FileReader , Gamelog , IndustryBuildData , IndustryTypeBuildData , LanguagePackGlyphSearcher , LoadFilter , MissingGlyphSearcher , OrderBackup , PacketReader , PerformanceAccumulator , ScriptScanner , SmallSet< Tdir, items > , Squirrel , TextEffect , TextfileWindow , TileHighlightData , TimeoutTimer< TTimerType >
- RESET_REFIT : LinkRefresher
- reset_sel_engine : ReplaceVehicleWindow
- ResetAirports() : AirportSpec
- ResetAirportTiles() : AirportTileSpec
- ResetAll() : SettingsContainer , SettingsPage
- ResetConfig() : AI
- ResetDepotUnbunching() : BaseConsist
- ResetEditableSettings() : ScriptConfig
- ResetEngine() : ScriptScanner
- ResetFontCache() : Layouter
- ResetIndustryCounts() : Industry
- ResetInfo() : AIConfig , GameConfig
- ResetLineCache() : Layouter
- ResetMapping() : OverrideManagerBase
- ResetOfUser() : OrderBackup
- ResetOverride() : OverrideManagerBase
- ResetRefit() : LinkRefresher
- ResetRefitCaps() : Vehicle
- ResetResortTimer() : GUIList< T, P, F >
- ResetSettings() : ScriptConfig
- ResetState() : ResolverObject , StringFilter
- ResetToCurrentNewGRFConfig() : EngineOverrideManager
- ResetToDefault() : IntSettingDesc , ListSettingDesc , NullSettingDesc , SettingDesc , StringSettingDesc
- ResetToDefaultMapping() : EngineOverrideManager
- ResetTypeCounts() : Object
- ResetUser() : OrderBackup
- Resize() : OpenGLBackend
- resize : Window
- resize_x : NWidgetBase
- resize_y : NWidgetBase
- resizebox : WidgetDimensions
- resizebox_dimension : NWidgetLeaf
- Resolve() : NetworkAddress , NIHAirport , NIHAirportTile , NIHelper , NIHHouse , NIHIndustry , NIHIndustryTile , NIHObject , NIHRailType , NIHRoadType , NIHStation , NIHTown , NIHVehicle , ResolverObject , SpriteGroup , TCPConnecter
- resolve_thread : TCPConnecter
- ResolveCallback() : ResolverObject
- resolved : NetworkAddress
- ResolveReal() : ResolverObject , RoadStopResolverObject , StationResolverObject , VehicleResolverObject
- ResolverObject() : ResolverObject
- ResolveThunk() : TCPConnecter
- resort_timer : GUIList< T, P, F >
- restart_game_year : NetworkSettings
- restart_hours : NetworkSettings
- RestartSong() : MpsMachine
- Restore() : Backup< T > , OrderBackup , VehicleOrderSaver
- RestrictFlows() : FlowStatMap
- RestrictSearch() : CYapfFollowShipT< Types >
- RestrictShare() : FlowStat
- result : DropDownListItem , NewGRFProfiler::Call
- result_seq : NewGRFSpriteLayout
- ResultSpriteGroup() : ResultSpriteGroup
- Resume() : Squirrel
- ResumeError() : Squirrel
- retire_early : EngineInfo
- Retrieve() : CargoDataEntry
- Return() : VehicleCargoList
- ReturnCargoAction() : ReturnCargoAction
- returnpos : MpsMachine::Channel
- ReusableBuffer() : ReusableBuffer< T >
- revalidate_before_draw : MutableSpriteCache
- reverse : FindDepotData
- reverse_at_signals : PathfinderSettings
- reverse_dependency_map : ClientNetworkContentSocketHandler
- ReverseIterator : CargoList< Tinst, Tcont >
- ReverseLookupDependency() : ClientNetworkContentSocketHandler
- ReverseLookupTreeDependency() : ClientNetworkContentSocketHandler
- Revert() : Backup< T >
- Revision() : Gamelog
- Rewind() : ByteBuffer
- right : Kdtree< T, TxyFunc, CoordT, DistT >::node
- right_click_wnd_close : GUISettings
- right_mouse_btn_emulation : GUISettings
- river_route_random : GameCreationSettings
- ro : ScopeResolver
- road : CompanyInfrastructure
- road_build_months : Town
- road_crossing_penalty : YAPFSettings
- road_curve_penalty : YAPFSettings
- road_nwse : RoadTypeInfo
- road_side : VehicleSettings
- road_slope_penalty : YAPFSettings
- road_speed : TileDesc
- road_stop_bay_occupied_penalty : YAPFSettings
- road_stop_occupied_penalty : YAPFSettings
- road_stop_on_competitor_road : ConstructionSettings
- road_stop_on_town_road : ConstructionSettings
- road_stop_penalty : YAPFSettings
- road_swne : RoadTypeInfo
- road_type : ScriptStorage
- road_use_yapf : YAPFSettings
- RoadStop : RoadStop::Entry , RoadStop
- roadstop_classes : BuildRoadStationWindow
- roadstop_scope : RoadStopResolverObject
- roadstop_speclist : BaseStation
- RoadStopClassIDSorter() : BuildRoadStationWindow
- roadstopspec : RoadStopScopeResolver
- RoadStopStatusFlags : RoadStop
- roadStopType : BuildRoadStationWindow
- RoadTramToolbarGlobalHotkeys() : BuildRoadToolbarWindow
- roadtype : BuildRoadToolbarWindow , BuildVehicleWindow , RoadStopScopeResolver , RoadVehicle , RoadVehicleInfo , TileDesc
- roadtype_list : GRFFile
- roadtype_scope : RoadTypeResolverObject
- RoadTypeResolverObject() : RoadTypeResolverObject
- roadtypes : CompanyInfrastructureWindow
- RoadTypeScopeResolver() : RoadTypeScopeResolver
- roadveh_acceleration_model : VehicleSettings
- roadveh_queue : PathfinderSettings
- roadveh_slope_steepness : VehicleSettings
- RoadVehicle() : RoadVehicle
- root : Kdtree< T, TxyFunc, CoordT, DistT >
- root_company : ScriptStorage
- root_sprite : NewGRFProfiler::Call
- root_spritegroup : ResolverObject
- RotateTop4Words() : TextRefStack
- rotation : Airport , AirportSpec , Ship
- rotation_x_pos : Ship
- rotation_y_pos : Ship
- rotor_in_gui : VehicleScopeResolver
- round_trip_time : BaseConsist
- route_profit : CargoPayment
- RSSFB_BASE_ENTRY : RoadStop
- RSSFB_BAY0_FREE : RoadStop
- RSSFB_BAY1_FREE : RoadStop
- RSSFB_BAY_COUNT : RoadStop
- RSSFB_ENTRY_BUSY : RoadStop
- rti : BuildRoadToolbarWindow
- Run() : ComponentHandler , DemandHandler , FlowMapper , InitHandler , LinkGraphSchedule , LinkRefresher , MCFHandler< Tpass >
- RunCallbacks() : SocialIntegration
- RunError() : Squirrel
- running : LinkGraphSchedule
- RUNNING : SocialIntegrationPlugin
- running_cost : RailVehicleInfo
- running_status : MpsMachine::Channel
- running_ticks : Vehicle
- runs : FallbackParagraphLayout , Layouter::LineCacheItem
- rv_max_speed : GRFTempEngineData